# List WhatsApp templates

List WhatsApp templates for the organization, newest first. To find out a template's approval status and category, use the get template endpoint.

Endpoint: GET /beta/whatsapp/templates
Version: beta
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)

  - `data.name` (string, required)

  - `data.language` (string, required)

  - `data.createdAt` (string, required)

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

